Bug 1300536 - [USS-CIFS] Unable to access .snaps from directory created on the mount point
[USS-CIFS] Unable to access .snaps from directory created on the mount point
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot (Show other bugs)
3.1
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: rjoseph
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 01:04 EST by Anil Shah
Modified: 2016-09-17 09:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 02:35:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2016-01-21 01:04:03 EST
Description of problem:

When uss is enabled, After directory is created on mount point and taking snapshot. Unable  able to access .snaps from the directory which is created on mount point. 

Version-Release number of selected component (if applicable):

[root@rhs001 ~]# rpm -qa | grep glusterfs
glusterfs-client-xlators-3.7.5-16.el7rhgs.x86_64
glusterfs-3.7.5-16.el7rhgs.x86_64
samba-vfs-glusterfs-4.2.4-12.el7rhgs.x86_64
glusterfs-fuse-3.7.5-16.el7rhgs.x86_64
glusterfs-server-3.7.5-16.el7rhgs.x86_64
glusterfs-cli-3.7.5-16.el7rhgs.x86_64
glusterfs-debuginfo-3.7.5-16.el7rhgs.x86_64
glusterfs-libs-3.7.5-16.el7rhgs.x86_64
glusterfs-api-3.7.5-16.el7rhgs.x86_64


How reproducible:

100%

Steps to Reproduce: 
1.Crate 2*2 distribute replicate volume and do cifs mount
2.Enable uss
3.Create a directory on mount point .e.g test
4.Create snapshot and activate it
5.On client, access the directory created(test) on mount point and try to access .snaps directory  

Actual results:

unable to access .snaps

Expected results:

Should be able to access .snaps directory

Additional info:

[root@rhs001 ~]# gluster v info
 
Volume Name: newvol0
Type: Distributed-Replicate
Volume ID: 95f190e3-e957-457a-b464-4cab1ac10e22
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.70.47.143:/rhs/brick1/b1
Brick2: 10.70.47.145:/rhs/brick1/b2
Brick3: 10.70.47.2:/rhs/brick1/b3
Brick4: 10.70.47.3:/rhs/brick1/b4
Options Reconfigured:
diagnostics.client-log-level: DEBUG
features.barrier: disable
features.show-snapshot-directory: on
performance.stat-prefetch: off
storage.batch-fsync-delay-usec: 0
server.allow-insecure: on
features.uss: enable
features.quota-deem-statfs: on
features.inode-quota: on
features.quota: on
performance.readdir-ahead: on
snap-activate-on-create: enable

Note You need to log in before you can comment on or make changes to this bug.